/*
* file CcLocation.java
*
* Licensed Materials - Property of IBM
* Restricted Materials of IBM
* 
* com.ibm.rational.wvcm.stp.cc.CcLocation
*
* (C) Copyright IBM Corporation 2004, 2011.  All Rights Reserved. 
* Note to U.S. Government Users Restricted Rights:  Use, duplication or  
* disclosure restricted by GSA ADP  Schedule Contract with IBM Corp. 
*/

package com.ibm.rational.wvcm.stp.cc;

import com.ibm.rational.wvcm.stp.StpLocation;

/**
 * <p>
 * The location of a ClearCase resource.  Note that the WVCM term "location"
 * is synonymous with the ClearCase term "selector" in this context.
 * The ClearCase CM API accepts most standard ClearCase selector formats, i.e.,
 * those accepted by the "cleartool" command line utility. For example, the
 * following are all valid selectors for a ClearCase UCM activity:
 * <bl>
 * <li>activity:CCM16900@\projects ("user-friendly" format)
 * <li>dbid:5083219@\projects (by database id)
 * <li>oid:79e75671a6894a05bef3740180434922@\projects (by universal object id)
 * </bl>
 * </p>
 * <p>
 * <p>
 * The ClearCase CM API supports the following selector formats for
 * view-resident resources - ClearCase files, directories, etc.
 * <bl>
 * <li>File system path, e.g., "/view/MyView/vobs/applets/Xmakefile"
 * <li>Workspace path (view tag form), e.g., "workspace:MyView/vobs/applets/Xmakefile"
 * <li>Workspace path (view uuid form), e.g., "workspace:53c77da1679c46ad913329b0625b8a30/vobs/applets/Xmakefile"
 * </bl>
 * </p>
 * ClearCase resource selectors must be fully-qualified. Paths must be absolute,
 * not relative. Metadata selectors must include the VOB in which the object
 * resides, etc.
 * </p>
 * <p>
 * Note that the {@link com.ibm.rational.wvcm.stp.StpLocation StpLocation} interface
 * describes a number of selector formats and properties that are specific to
 * the CQ CM API and are not part of the standard ClearCase selector format.
 * These StpLocation extensions are not supported by the CC CM API. 
 * </p>
 */
public interface CcLocation extends StpLocation {
}
